# -*- coding: utf-8 -*-
from info_dict import InfoDict


def text_to_list(text, delimiter=";"):

    if text.strip() == "":
        return []
    return text.split(delimiter)


def list_to_dict(lst, delimiter="="):

    result = InfoDict(node_status="on")
    for row in lst:
        split = row.split(delimiter, 1)
        if split == ['']:
            pass
        else:
            key, value = split
            if key not in result:
                result[key] = value
            else:
                result[key] = "%s, %s" % (result[key], value)
    return result


def text_to_set(text, delimiter=";"):

    return set(text_to_list(text, delimiter))
